Bug 845743

Summary: Review Request: adobe-source-sans-pro-fonts - A set of OpenType fonts designed for user interfaces
Product: [Fedora] Fedora Reporter: Lameire Alexis <alexis.lameire>
Component: Package ReviewAssignee: Mohamed El Morabity <pikachu.2014>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rawhideCC: eldermarco, i, jistone, jvcelak, mcepl, me, notting, package-review, pikachu.2014, rdieter, sandro, sven
Target Milestone: ---Flags: pikachu.2014: fedora‑review+
limburgher: fedora‑cvs+
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-08-27 18:56:12 EDT Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Lameire Alexis 2012-08-04 08:05:53 EDT
SPEC : http://alexises.fedorapeople.org/adobe-source-sans-pro-fonts/1.033-1/adobe-source-sans-pro-fonts-1.033-1.fc17.noarch.rpm
SRPM : http://alexises.fedorapeople.org/adobe-source-sans-pro-fonts/1.033-1/adobe-source-sans-pro-fonts-1.033-1.fc17.src.rpm
RPM : http://alexises.fedorapeople.org/adobe-source-sans-pro-fonts/1.033-1/adobe-source-sans-pro-fonts.spec
BUILD KOJI : http://koji.fedoraproject.org/koji/taskinfo?taskID=4358557

This package provides the new free font provided by adobe : Source Sans Pro. 

This font is better for screan reading than printing 

here, the rpmlint status of the srpm and rpm :

rpmlint adobe-source-sans-pro-fonts-1.033-1.fc17.noarch.rpm 
adobe-source-sans-pro-fonts.noarch: I: enchant-dictionary-not-found en_US
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

rpmlint adobe-source-sans-pro-fonts-1.033-1.fc17.src.rpm 
adobe-source-sans-pro-fonts.src: I: enchant-dictionary-not-found en_US
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

conclusion, no real error to rpmlint ;)
Comment 2 Sandro Mathys 2012-08-06 03:05:55 EDT
Alexis, your spec file looks good at a first glance but when I install the package the font is not shown in libreoffice writer (it's shown in the KDE Font Manager though). Any idea about this? I tried packaging the font last Friday myself and ended up with the same issue, too.

Note: not assigning the review to myself just now as I might or might not have time to do it later on. Anyone else is welcome to take over instead.
Comment 3 Lameire Alexis 2012-08-06 08:27:36 EDT
Strange,
I actualy use it as principale system font.

It's should that libreoffice have is own font system.
I look about this.
Comment 4 Mohamed El Morabity 2012-08-10 16:22:51 EDT
I will review this package.
Comment 5 Rex Dieter 2012-08-12 18:23:33 EDT
if reviewing, please set fedora‑review flag to ?
Comment 6 Sandro Mathys 2012-08-15 02:23:30 EDT
(In reply to comment #2)
> Alexis, your spec file looks good at a first glance but when I install the
> package the font is not shown in libreoffice writer (it's shown in the KDE
> Font Manager though). Any idea about this? I tried packaging the font last
> Friday myself and ended up with the same issue, too.

Strange, the fonts are now shown in Libreoffice. Can't remember doing anything that could have helped except applying updates and then rebooting.

(In reply to comment #4)
> I will review this package.

What's stopping you? :) We're waiting ;)
Comment 7 Mohamed El Morabity 2012-08-15 17:50:25 EDT
Here is at last the review :)

The package looks quite good, and complies with the font guidelines. The fontconfig file is OK for me, and the fonts are available in the system once the package installed, even in LibreOffice.

Anyway, I wouldn't include the README.html file, which seems useless to me: it contains installation intructions, useless with a RPM, and only for Windows and Mac OS X. It contains also some generic notice for all the fonts sold by Adobe.
As a result, I suggest you to drop this file.

Once this file removed, I will approve your package.



Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated



==== Generic ====
[x]: EXTRA Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: EXTRA Spec file according to URL is the same as in SRPM.
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[-]: MUST %build honors applicable compiler flags or justifies otherwise.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: MUST Buildroot is not present
     Note: Unless packager wants to package for EPEL5 this is fine
[-]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[x]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean would be needed if support for EPEL is required
[x]: MUST Sources contain only permissible code or content.
[x]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: Note: defattr macros not found. They would be needed for EPEL5
[x]: MUST Macros in Summary, %description expandable at SRPM build time.
[-]: MUST Package contains desktop file if it is a GUI application.
[-]: MUST Development files must be in a -devel package
[x]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Package complies to the Packaging Guidelines
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf would be needed if support for EPEL5 is required
[-]: MUST Large documentation files are in a -doc subpackage, if required.
[x]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[x]: MUST License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. No licenses
     found. Please check the source files for licenses manually.
[x]: MUST Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: MUST Package is named using only allowed ascii characters.
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST Package does not generate any conflict.
     Note: Package contains no Conflicts: tag(s)
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[x]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[-]: MUST Package is not relocatable.
[x]: MUST Requires correct, justified where necessary.
[x]: MUST Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: MUST Package contains systemd file(s) if in need.
[x]: MUST File names are valid UTF-8.
[x]: SHOULD Reviewer should test that the package builds in mock.
[-]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[x]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[-]: SHOULD Package functions as described.
[x]: SHOULD Latest version is packaged.
[x]: SHOULD Package does not include license text files separate from
     upstream.
[!]: SHOULD SourceX / PatchY prefixed with %{name}.
     Note: Source0 (SourceSansPro_FontsOnly-1.033.zip)
[x]: SHOULD SourceX is a working URL.
[!]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[-]: SHOULD %check is present and all tests pass.
[x]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.


Rpmlint
-------
Checking: adobe-source-sans-pro-fonts-1.033-2.fc17.src.rpm
          adobe-source-sans-pro-fonts-1.033-2.fc17.noarch.rpm
2 packages and 0 specfiles checked; 0 errors, 0 warnings.
Comment 9 Mohamed El Morabity 2012-08-17 16:09:00 EDT
APPROVED!
Comment 10 Lameire Alexis 2012-08-18 14:40:48 EDT
New Package SCM Request
=======================
Package Name: adobe-source-sans-pro-fonts
Short Description: A set of OpenType fonts designed for user interfaces
Owners: alexises
Branches: f16 f17 f18
InitialCC: fonts-sig
Comment 11 Jon Ciesla 2012-08-18 21:42:18 EDT
Git done (by process-git-requests).
Comment 12 Fedora Update System 2012-08-19 09:11:52 EDT
adobe-source-sans-pro-fonts-1.033-3.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/adobe-source-sans-pro-fonts-1.033-3.fc16
Comment 13 Fedora Update System 2012-08-19 17:50:01 EDT
adobe-source-sans-pro-fonts-1.033-3.fc16 has been pushed to the Fedora 16 testing repository.
Comment 14 Fedora Update System 2012-08-27 18:56:12 EDT
adobe-source-sans-pro-fonts-1.033-3.fc16 has been pushed to the Fedora 16 stable repository.
Comment 15 Tobias Florek 2012-09-25 13:24:52 EDT
*** Bug 860316 has been marked as a duplicate of this bug. ***